Overview | Package | Class | Tree | Deprecated | Index | Help
| SOA © 2004 SoS Group All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sos.koa
Interface KOAConstants

All Known Implementing Classes:
  HelpAdapter, MenuPanel, Task

public interface KOAConstants

Global constants used in the user interface.

Version:
  $Id: KOAConstants.java,v 1.20 2004/05/14 17:12:06 hubbers Exp $
Author:
  Engelbert Hubbers (hubbers@cs.kun.nl)

Field Summary
`static int` | `ADDITIONAL_INFO_EXTRA`
`static int` | `ADDITIONAL_INFO_MAX_HEIGHT`
`static int` | `ADDITIONAL_INFO_MAX_WIDTH`
`static int` | `AUDITLOG`
`static java.lang.String` | `AUDITLOG_PDF`
`static java.lang.String` | `AUDITLOG_XML`
`static java.lang.String` | `AUDITLOG_XSL`
`static java.lang.String` | `BASEDIR`
`static int` | `CANDIDATES_IMPORTED_STATE`
`static java.lang.String` | `CLEAR_BUT_TXT`
`static java.lang.String` | `CLEAR_FAILURE_MSG`
`static java.lang.String` | `CLEAR_SUCCESS_MSG`
`static java.lang.String` | `CLEAR_TASK_MSG`
`static java.lang.String` | `CLEAR_WARNING_MSG`
`static java.lang.String` | `CLEAR_WARNING_MSG_1`
`static java.lang.String` | `CLEAR_WARNING_MSG_2`
`static int` | `CLEARED_STATE`
`static java.lang.String` | `COUNT_BUT_TXT`
`static java.lang.String` | `COUNT_FAILURE_MSG`
`static java.lang.String` | `COUNT_SUCCESS_MSG`
`static java.lang.String` | `COUNT_TASK_MSG`
`static java.lang.String` | `COUNT_WARNING_MSG`
`static java.lang.String` | `DECRYPT_BUT_TXT`
`static java.lang.String` | `DECRYPT_ERROR_MSG`
`static java.lang.String` | `DECRYPT_ERROR_TAG`
`static java.lang.String` | `DECRYPT_FAILURE_MSG`
`static java.lang.String` | `DECRYPT_SUCCESS_MSG`
`static java.lang.String` | `DECRYPT_TASK_MSG`
`static java.lang.String` | `DECRYPT_WARNING_MSG`
`static java.lang.String` | `DECRYPTEDFILE`
`static java.lang.String` | `DEFAULT_VOTING_INTERVAL`
`static java.lang.String` | `EXIT_BUT_TXT`
`static java.lang.String` | `EXIT_FAILURE_MSG`
`static java.lang.String` | `EXIT_SUCCESS_MSG`
`static java.lang.String` | `EXIT_TASK_MSG`
`static java.lang.String` | `EXIT_WARNING_MSG`
`static java.lang.Object[]` | `FORWARD_BACK_OPTIONS`
`static java.lang.Object[]` | `FORWARD_MOREINFO_BACK_OPTIONS`
`static java.lang.String` | `HELP_BUT_TXT`
`static java.lang.String` | `HELP_TASK_MSG`
`static java.lang.String` | `IMPORT_CANDIDATES_BUT_TXT`
`static java.lang.String` | `IMPORT_CANDIDATES_FAILURE_MSG`
`static java.lang.String` | `IMPORT_CANDIDATES_SUCCESS_MSG`
`static java.lang.String` | `IMPORT_CANDIDATES_TASK_MSG`
`static java.lang.String` | `IMPORT_CANDIDATES_WARNING_MSG`
`static java.lang.String` | `IMPORT_KEY_FAILURE_MSG`
`static java.lang.String` | `IMPORT_KEY_SUCCESS_MSG`
`static java.lang.String` | `IMPORT_KEY_WARNING_MSG`
`static java.lang.String` | `IMPORT_PRIVATE_KEY_BUT_TXT`
`static java.lang.String` | `IMPORT_PRIVATE_KEY_TASK_MSG`
`static java.lang.String` | `IMPORT_PUBLIC_KEY_BUT_TXT`
`static java.lang.String` | `IMPORT_PUBLIC_KEY_TASK_MSG`
`static java.lang.String` | `IMPORT_VOTES_BUT_TXT`
`static java.lang.String` | `IMPORT_VOTES_FAILURE_MSG`
`static java.lang.String` | `IMPORT_VOTES_SUCCESS_MSG`
`static java.lang.String` | `IMPORT_VOTES_TASK_MSG`
`static java.lang.String` | `IMPORT_VOTES_WARNING_MSG`
`static int` | `INIT_STATE`
`static int` | `LESSINFO_OPTION`
`static int` | `MAX_ENCRYPTED_VOTE_LENGTH`
`static int` | `MAX_KEY_LENGTH`
`static int` | `MOREINFO_OPTION`
`static java.lang.String` | `NO_ERRORS_MSG`
`static int` | `NUMBER_OF_REDUNDANT_FIELDS`
`static java.lang.Object[]` | `OK_CANCEL_OPTIONS`
`static java.lang.Object[]` | `OK_LESSINFO_CANCEL_OPTIONS`
`static java.lang.Object[]` | `OK_LESSINFO_OPTIONS`
`static java.lang.Object[]` | `OK_MOREINFO_CANCEL_OPTIONS`
`static java.lang.Object[]` | `OK_MOREINFO_OPTIONS`
`static java.lang.Object[]` | `OK_OPTIONS`
`static java.lang.String` | `OUTDIR`
`static int` | `PRIVATE_KEY_IMPORTED_STATE`
`static int` | `PRIVATE_KEYTYPE`
`static int` | `PUBLIC_KEY_IMPORTED_STATE`
`static int` | `PUBLIC_KEYTYPE`
`static int` | `RECOUNT`
`static java.lang.String` | `RECOUNT_PDF`
`static java.lang.String` | `RECOUNT_XML`
`static java.lang.String` | `RECOUNT_XSL`
`static java.lang.String` | `RELEASE`
`static java.lang.String` | `REPORT_BUT_TXT`
`static java.lang.String` | `REPORT_FAILURE_MSG`
`static int` | `REPORT_GENERATED_STATE`
`static java.lang.Object[]` | `REPORT_OPTIONS`
`static java.lang.String` | `REPORT_SUCCESS_MSG`
`static java.lang.String` | `REPORT_TASK_MSG`
`static java.lang.String` | `REPORT_WARNING_MSG`
`static java.lang.String` | `RESTART_BUT_TXT`
`static java.lang.String` | `RESTART_FAILURE_MSG`
`static java.lang.String` | `RESTART_SUCCESS_MSG`
`static java.lang.String` | `RESTART_TASK_MSG`
`static java.lang.String` | `RESTART_WARNING_MSG`
`static java.lang.String` | `TASK_CANCELED_MSG`
`static java.lang.String` | `TITLE`
`static int` | `VOTES_COUNTED_STATE`
`static int` | `VOTES_DECRYPTED_STATE`
`static java.lang.String` | `VOTES_IGNORED_SEE_MORE_INFO_MSG`
`static int` | `VOTES_IMPORTED_STATE`
`static java.lang.Object[]` | `YES_CANCEL_OPTIONS`
`static java.lang.Object[]` | `YES_NO_OPTIONS`

Field Detail

### RELEASE

    public static final java.lang.String RELEASE

### INIT_STATE

    public static final int INIT_STATE

### CLEARED_STATE

    public static final int CLEARED_STATE

### CANDIDATES_IMPORTED_STATE

    public static final int CANDIDATES_IMPORTED_STATE

### VOTES_IMPORTED_STATE

    public static final int VOTES_IMPORTED_STATE

### PRIVATE_KEY_IMPORTED_STATE

    public static final int PRIVATE_KEY_IMPORTED_STATE

### PUBLIC_KEY_IMPORTED_STATE

    public static final int PUBLIC_KEY_IMPORTED_STATE

### VOTES_DECRYPTED_STATE

    public static final int VOTES_DECRYPTED_STATE

### VOTES_COUNTED_STATE

    public static final int VOTES_COUNTED_STATE

### REPORT_GENERATED_STATE

    public static final int REPORT_GENERATED_STATE

### TITLE

    public static final java.lang.String TITLE

### RESTART_BUT_TXT

    public static final java.lang.String RESTART_BUT_TXT

### CLEAR_BUT_TXT

    public static final java.lang.String CLEAR_BUT_TXT

### IMPORT_CANDIDATES_BUT_TXT

    public static final java.lang.String IMPORT_CANDIDATES_BUT_TXT

### IMPORT_VOTES_BUT_TXT

    public static final java.lang.String IMPORT_VOTES_BUT_TXT

### IMPORT_PRIVATE_KEY_BUT_TXT

    public static final java.lang.String IMPORT_PRIVATE_KEY_BUT_TXT

### IMPORT_PUBLIC_KEY_BUT_TXT

    public static final java.lang.String IMPORT_PUBLIC_KEY_BUT_TXT

### DECRYPT_BUT_TXT

    public static final java.lang.String DECRYPT_BUT_TXT

### COUNT_BUT_TXT

    public static final java.lang.String COUNT_BUT_TXT

### REPORT_BUT_TXT

    public static final java.lang.String REPORT_BUT_TXT

### HELP_BUT_TXT

    public static final java.lang.String HELP_BUT_TXT

### EXIT_BUT_TXT

    public static final java.lang.String EXIT_BUT_TXT

### RESTART_TASK_MSG

    public static final java.lang.String RESTART_TASK_MSG

### RESTART_WARNING_MSG

    public static final java.lang.String RESTART_WARNING_MSG

### RESTART_SUCCESS_MSG

    public static final java.lang.String RESTART_SUCCESS_MSG

### RESTART_FAILURE_MSG

    public static final java.lang.String RESTART_FAILURE_MSG

### CLEAR_TASK_MSG

    public static final java.lang.String CLEAR_TASK_MSG

### CLEAR_WARNING_MSG_1

    public static final java.lang.String CLEAR_WARNING_MSG_1

### CLEAR_WARNING_MSG_2

    public static final java.lang.String CLEAR_WARNING_MSG_2

### CLEAR_WARNING_MSG

    public static final java.lang.String CLEAR_WARNING_MSG

### CLEAR_SUCCESS_MSG

    public static final java.lang.String CLEAR_SUCCESS_MSG

### CLEAR_FAILURE_MSG

    public static final java.lang.String CLEAR_FAILURE_MSG

### IMPORT_CANDIDATES_TASK_MSG

    public static final java.lang.String IMPORT_CANDIDATES_TASK_MSG

### IMPORT_CANDIDATES_WARNING_MSG

    public static final java.lang.String IMPORT_CANDIDATES_WARNING_MSG

### IMPORT_CANDIDATES_SUCCESS_MSG

    public static final java.lang.String IMPORT_CANDIDATES_SUCCESS_MSG

### IMPORT_CANDIDATES_FAILURE_MSG

    public static final java.lang.String IMPORT_CANDIDATES_FAILURE_MSG

### IMPORT_VOTES_TASK_MSG

    public static final java.lang.String IMPORT_VOTES_TASK_MSG

### IMPORT_VOTES_WARNING_MSG

    public static final java.lang.String IMPORT_VOTES_WARNING_MSG

### IMPORT_VOTES_SUCCESS_MSG

    public static final java.lang.String IMPORT_VOTES_SUCCESS_MSG

### IMPORT_VOTES_FAILURE_MSG

    public static final java.lang.String IMPORT_VOTES_FAILURE_MSG

### IMPORT_PUBLIC_KEY_TASK_MSG

    public static final java.lang.String IMPORT_PUBLIC_KEY_TASK_MSG

### IMPORT_PRIVATE_KEY_TASK_MSG

    public static final java.lang.String IMPORT_PRIVATE_KEY_TASK_MSG

### IMPORT_KEY_WARNING_MSG

    public static final java.lang.String IMPORT_KEY_WARNING_MSG

### IMPORT_KEY_SUCCESS_MSG

    public static final java.lang.String IMPORT_KEY_SUCCESS_MSG

### IMPORT_KEY_FAILURE_MSG

    public static final java.lang.String IMPORT_KEY_FAILURE_MSG

### DECRYPT_TASK_MSG

    public static final java.lang.String DECRYPT_TASK_MSG

### DECRYPT_WARNING_MSG

    public static final java.lang.String DECRYPT_WARNING_MSG

### DECRYPT_SUCCESS_MSG

    public static final java.lang.String DECRYPT_SUCCESS_MSG

### DECRYPT_FAILURE_MSG

    public static final java.lang.String DECRYPT_FAILURE_MSG

### DECRYPT_ERROR_MSG

    public static final java.lang.String DECRYPT_ERROR_MSG

### DECRYPT_ERROR_TAG

    public static final java.lang.String DECRYPT_ERROR_TAG

### COUNT_TASK_MSG

    public static final java.lang.String COUNT_TASK_MSG

### COUNT_WARNING_MSG

    public static final java.lang.String COUNT_WARNING_MSG

### COUNT_SUCCESS_MSG

    public static final java.lang.String COUNT_SUCCESS_MSG

### COUNT_FAILURE_MSG

    public static final java.lang.String COUNT_FAILURE_MSG

### REPORT_TASK_MSG

    public static final java.lang.String REPORT_TASK_MSG

### REPORT_WARNING_MSG

    public static final java.lang.String REPORT_WARNING_MSG

### REPORT_SUCCESS_MSG

    public static final java.lang.String REPORT_SUCCESS_MSG

### REPORT_FAILURE_MSG

    public static final java.lang.String REPORT_FAILURE_MSG

### HELP_TASK_MSG

    public static final java.lang.String HELP_TASK_MSG

### EXIT_TASK_MSG

    public static final java.lang.String EXIT_TASK_MSG

### EXIT_WARNING_MSG

    public static final java.lang.String EXIT_WARNING_MSG

### EXIT_SUCCESS_MSG

    public static final java.lang.String EXIT_SUCCESS_MSG

### EXIT_FAILURE_MSG

    public static final java.lang.String EXIT_FAILURE_MSG

### TASK_CANCELED_MSG

    public static final java.lang.String TASK_CANCELED_MSG

### NO_ERRORS_MSG

    public static final java.lang.String NO_ERRORS_MSG

### VOTES_IGNORED_SEE_MORE_INFO_MSG

    public static final java.lang.String VOTES_IGNORED_SEE_MORE_INFO_MSG

### DEFAULT_VOTING_INTERVAL

    public static final java.lang.String DEFAULT_VOTING_INTERVAL

### OK_OPTIONS

    public static final java.lang.Object[] OK_OPTIONS

### OK_CANCEL_OPTIONS

    public static final java.lang.Object[] OK_CANCEL_OPTIONS

### YES_CANCEL_OPTIONS

    public static final java.lang.Object[] YES_CANCEL_OPTIONS

### YES_NO_OPTIONS

    public static final java.lang.Object[] YES_NO_OPTIONS

### FORWARD_BACK_OPTIONS

    public static final java.lang.Object[] FORWARD_BACK_OPTIONS

### OK_MOREINFO_OPTIONS

    public static final java.lang.Object[] OK_MOREINFO_OPTIONS

### OK_MOREINFO_CANCEL_OPTIONS

    public static final java.lang.Object[] OK_MOREINFO_CANCEL_OPTIONS

### FORWARD_MOREINFO_BACK_OPTIONS

    public static final java.lang.Object[] FORWARD_MOREINFO_BACK_OPTIONS

### OK_LESSINFO_OPTIONS

    public static final java.lang.Object[] OK_LESSINFO_OPTIONS

### OK_LESSINFO_CANCEL_OPTIONS

    public static final java.lang.Object[] OK_LESSINFO_CANCEL_OPTIONS

### MOREINFO_OPTION

    public static final int MOREINFO_OPTION

### LESSINFO_OPTION

    public static final int LESSINFO_OPTION

### REPORT_OPTIONS

    public static final java.lang.Object[] REPORT_OPTIONS

### AUDITLOG

    public static final int AUDITLOG

### RECOUNT

    public static final int RECOUNT

### BASEDIR

    public static final java.lang.String BASEDIR

### OUTDIR

    public static final java.lang.String OUTDIR

### DECRYPTEDFILE

    public static final java.lang.String DECRYPTEDFILE

### AUDITLOG_XSL

    public static final java.lang.String AUDITLOG_XSL

### AUDITLOG_XML

    public static final java.lang.String AUDITLOG_XML

### AUDITLOG_PDF

    public static final java.lang.String AUDITLOG_PDF

### RECOUNT_XSL

    public static final java.lang.String RECOUNT_XSL

### RECOUNT_XML

    public static final java.lang.String RECOUNT_XML

### RECOUNT_PDF

    public static final java.lang.String RECOUNT_PDF

### PUBLIC_KEYTYPE

    public static final int PUBLIC_KEYTYPE

### PRIVATE_KEYTYPE

    public static final int PRIVATE_KEYTYPE

### NUMBER_OF_REDUNDANT_FIELDS

    public static final int NUMBER_OF_REDUNDANT_FIELDS

### MAX_KEY_LENGTH

    public static final int MAX_KEY_LENGTH

### MAX_ENCRYPTED_VOTE_LENGTH

    public static final int MAX_ENCRYPTED_VOTE_LENGTH

### ADDITIONAL_INFO_MAX_HEIGHT

    public static final int ADDITIONAL_INFO_MAX_HEIGHT

### ADDITIONAL_INFO_MAX_WIDTH

    public static final int ADDITIONAL_INFO_MAX_WIDTH

### ADDITIONAL_INFO_EXTRA

    public static final int ADDITIONAL_INFO_EXTRA

Overview | Package | Class | Tree | Deprecated | Index | Help
| SOA © 2004 SoS Group All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD